package com.muyu.active.domain.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.math.RoundingMode;

/**
 * 活动优惠力度价格模型
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ActivityTeamDiscountModel {
    private BigDecimal teamPrice;
    private BigDecimal productPrice;
    private double discount;

    public static ActivityTeamDiscountModel of(BigDecimal price, BigDecimal teamPrice) {
        return ActivityTeamDiscountModel.builder()
                .productPrice(price)
                .teamPrice(teamPrice)
                .discount(Double.valueOf(price.subtract(teamPrice).divide(price, 2, RoundingMode.CEILING).intValue()))
                .build();
    }

}
