package com.muyu.active.domain.req;
import com.muyu.active.domain.model.ActivityTeamInfoQueryModel;
import com.muyu.common.core.web.page.PageDomain;
import lombok.*;

/**
 * 拼团信息请求表（搜索+分页）
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class ActivityTeamInfoReq extends PageDomain {
    private String keyWord;
    private String status;
    private Integer pageNum=1;
    private Integer pageSize=3;

    /**
     * 通过当前对象查询构建模型
     */
    public ActivityTeamInfoQueryModel buildModel(){
        return ActivityTeamInfoQueryModel.builder()
                .keyWord(keyWord)
                .status(status)
                .pageNum(pageNum)
                .pageSize(pageSize)
                .build()
                .domainbuild(this);
    }
}
