package com.muyu.active.domain.req;

import com.muyu.active.domain.model.ActivityTeamInfoListQueryModel;
import com.muyu.common.core.web.page.PageDomain;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
//@EqualsAndHashCode(callSuper = true)
public class TeamInfoListReq  {

    /**
     * 搜索关键词
     */
    private String keyWord;

    /**
     * 活动状态
     */
    private String status;


    /**
     * 通过当前对象构建业务查询模型
     * @return 业务查询模型
     */
    public ActivityTeamInfoListQueryModel buildQueryModel() {
        return ActivityTeamInfoListQueryModel.builder()
                .keyWord(this.keyWord)
                .status(this.status)
                .build();
//                .domainbuild(this);
    }
}
