package com.muyu.active.domain.resp;
import com.muyu.active.domain.model.ActivityTeamInfoListModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 拼团响应实体类
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class ActivityTeamInfoResp {
    private Long id;
    private String name;
    private String productImage;
    private BigDecimal productPrice;
    private BigDecimal teamPrice;
    private Long AttendNumber;
    private Long openTeamNumber;
    private Long addTeamNumber;
    private Long teamStock;
    private Long remainStock;
    private Date endTime;
    private String status;

    public static ActivityTeamInfoResp respBuild(ActivityTeamInfoListModel activityTeamInfoListModel){
        return ActivityTeamInfoResp.builder()
                .id(activityTeamInfoListModel.getId())
                .name(activityTeamInfoListModel.getName())
                .endTime(activityTeamInfoListModel.getEndTime())
                .productImage(activityTeamInfoListModel.getProductImage())
                .status(activityTeamInfoListModel.getStatus())
                .addTeamNumber(activityTeamInfoListModel.getAddTeamNumber())
                .AttendNumber(activityTeamInfoListModel.getAttendNumber())
                .openTeamNumber(activityTeamInfoListModel.getOpenTeamNumber())
                .productPrice(activityTeamInfoListModel.getProductPrice())
                .remainStock(activityTeamInfoListModel.getRemainStock())
                .teamPrice(activityTeamInfoListModel.getTeamPrice())
                .teamStock(activityTeamInfoListModel.getTeamStock())
                .build();
    }
}
